module.exports = {
    "globalExtends": [
        "config:base",
        ":semanticCommitTypeAll(fix)",
        ":disableRateLimiting"
    ],
    "endpoint": "https://codeberg.org/api/v1",
    "platform": "gitea",
    "githubTokenWarn": false,
    "automerge": true,
    "gitAuthor": "Renovate Bot <dev.codeberg.renovate@wrenix.eu>",

    "commitMessageAction": "update",
    "commitMessageTopic": "dependency",
    "semanticCommits": "enabled",
    "semanticCommitScope": "{{depName}}",

    "requireConfig": "ignored",
    "onboarding": true,
    "autodiscover": true,
    "autodiscoverFilter": [
      "wrenix/*"
    ],
    "hostRules": [
        {
            "matchHost": "codeberg.org",
            "username": "wrenix",
            "password": process.env.RENOVATE_TOKEN
        }
    ],
    "customManagers": [{
        "customType": "regex",
        "datasourceTemplate": "docker",
        "fileMatch": ["(^|/)Chart\\.yaml$"],
        "matchStrings": [
            "#\\s?renovate: image=(?<depName>.*?)\\s?appVersion:\\s?\\\"?(?<currentValue>[\\w+\\.\\-]*)\""
        ]
    }]
};

